Un poco de la vida, un poco de actividades, un poco de código, un poco de .NET... de muchos pocos se va formando este blog.

18 enero 2006

SOS !! Errores Validation (XHTML 1.0 Transitional) no me dejan compilaaaaaaaaar!

Haciendo el upgrade de un proyecto pequeño de ASP.NET 1.1 a ASP.NET 2.0 me ocurrió que al querer compilar no me lo permitía alegando al menos un centenar de errores de tipo

Validation (XHTML 1.0 Transitional): bla bla bla

Sinceramente este problema me dejó bloqueado por al menos 5 minutos, para luego recordar que en 1.1 el doctype por defecto era HTML 4.0 Transitional y en 2.0 es XHTML 1.0 Transitional , por lo cual es normal que se generasen esa chorrera de errores y warnings.

Si bien es cierto seguir los standares siepre es una buena práctica, hay momentos en que no nos podemos detener en eso, debemos buscar como compilar :-)

La solución que encontré para que me permitiese compilar sin reclamarme es ir, con la aplicación abierta, a TOOLS -----> OPTIONS, luego en los items que salen a mano izquierda expandir (hacer click en el signo + si es que no está ya expandido) la opcion TEXT EDITOR, y dentro de esta expandir (recuerden, el signo +) la opción HTML, luego hacemos click sobre VALIDATION y en las opciones de la mano izquierda le quitamos el ticket a la opción SHOW ERRORS, apretamos OK; veremos que los errores se dejan de marcar en el Editor, ahora si podemos volver a compilar.

Saludos!

6 Comments:

Anonymous Juanpe dijo...

Eso te pasa por no usar estandares ps tio :P.

miércoles, enero 18, 2006 11:35:00 p. m.

 
Blogger Mauricio Gómez dijo...

Pero viste la elegancia para sortear el problema y salir airoso? eso lo hace solo un developer de .NET :-p

miércoles, enero 18, 2006 11:59:00 p. m.

 
Anonymous Juanoe dijo...

"Si bien es cierto seguir los standares siepre es una buena práctica, hay momentos en que no nos podemos detener en eso, debemos buscar como compilar :-)"

Por eso es que windows tiene tantas fallas, jejeje :P

sábado, enero 21, 2006 7:54:00 p. m.

 
Blogger Mauricio Gómez dijo...

Chico, has leido la ultima lista de vulnerabilidades?, no te cuento cuantas de linux vienen ;-) date una vuelta por algún centro de seguridad, te vendría bien ;-)

sábado, enero 21, 2006 8:18:00 p. m.

 
Anonymous Juanpe dijo...

Ya tio lo dejamos en empate :P

martes, enero 24, 2006 7:43:00 p. m.

 
Blogger Mauricio Gómez dijo...

jajajajajajaja mejor :-)

martes, enero 24, 2006 7:47:00 p. m.

 

Publicar un comentario

<< Home